/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the "Elastic License
 * 2.0", the "GNU Affero General Public License v3.0 only", and the "Server Side
 * Public License v 1"; you may not use this file except in compliance with, at
 * your election, the "Elastic License 2.0", the "GNU Affero General Public
 * License v3.0 only", or the "Server Side Public License, v 1".
 */

package org.elasticsearch.gradle.util;

import java.util.stream.Collectors;

public class PlatformUtils {

    public static String normalize(String input) {
        return input.lines()
            .map(it -> it.replace('\\', '/'))
            .map(it -> it.replaceAll("\\d+\\.\\d\\ds", "0.00s"))
            .map(it -> it.replace("file:/./", "file:./"))
            .collect(Collectors.joining("\n"));
    }
}
